Skip to main content
Platform O&M/Cloud Monitoring/Monitoring and Alarm/SNS/ZWatch Operations/Audit Operations
GETAudit OperationsSince 2.3SynchronousAuth Required

GetAuditData

GetAuditData

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Query Parameters

Request Inputs

Query Parameters

  • startTimeLong

    Optional. The start time.

  • endTimeLong

    Optional. The end time.

  • limitInteger

    Optional. The maximum number of returned records.

  • labelsList

    Optional. The filter label list.

  • auditTypeAuditType

    Optional. The audit type.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • auditsListRequired

    See audits.

    • resourceUuidStringRequired

      The resource UUID.

    • resourceTypeStringRequired

      The resource type.

    • apiNameStringRequired

      The API name.

    • errorStringRequired

      The details about the error.

      • codeStringRequired

        The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

      • descriptionStringRequired

        The brief description of the error.

      • detailsStringRequired

        The details about the error.

      • elaborationStringRequired

        The reserved field. Default value: null.

      • opaqueLinkedHashMapRequired

        The reserved field. Default value: null.

      • causeErrorCodeRequired

        The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

    • operatorAccountUuidStringRequired

      The UUID of the account that initiated the API.

    • durationlongRequired

      The API duration.

    • requestUuidStringRequired

      The API request UUID.

    • responseUuidStringRequired

      The API response UUID.

    • sessionUuidStringRequired

      The session UUID.

    • requestDumpStringRequired

      The JSON archive of the API request.

    • responseDumpStringRequired

      The JSON archive of the API response.

    • timelongRequired

      The time that the record was generated.

Endpoint

GET/zstack/v1/zwatch/audits

/zstack/v1/zwatch/audits

Operation ID

GetAuditData

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/zwatch/audits?startTime=1&endTime=1&limit=1&labels=<labels>&auditType=<auditType>&systemTags=<systemTags>&userTags=<userTags>' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "audits": [ { "resourceUuid": "b1ca3fab6ebc4302ad9249d5402cb06c", "resourceType": "VmInstanceVO", "clientIp": "172.0.0.1", "clientBrowser": "Chrome/69.0.3497.81", "apiName": "org.zstack.header.vm.APISetVmRDPMsg", "operatorAccountUuid": "36c27e8ff05c4780bf6d2fa65700f22e", "duration": 22.0, "requestUuid": "d78093c0b2fb3850b3ce563b3a0b029d", "responseUuid": "08cf3fd2c4614811b4acc0620e20a98e", "sessionUuid": "05e5c663eb794faab5c5606c38103a17", "responseDump": "{\"success\":true}", "time": 1.512037844556E12 } ] }

Change History

This API has no change history records yet.

View all change history